/*
 * Plugin Styles
 */
/*
 * Shuffl - Quick Modal
 */
body.quickmodal-open {
  overflow: hidden;
}
body > .shuffl-quick-modal {
  display: block;
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  z-index: 9999999;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  transition: opacity 0.5s;
}
body > .shuffl-quick-modal.visible {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}
body > .shuffl-quick-modal .modal-inner {
  display: block;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background: #fff;
  text-align: left;
  height: auto;
  width: 500px;
  max-width: 80%;
  max-height: 80vh;
  padding: 30px;
  border-radius: 3px;
  overflow: scroll;
}
body > .shuffl-quick-modal .close-modal {
  position: absolute;
  text-decoration: none;
  line-height: 26px;
  font-size: 0;
  right: 0;
  top: 0;
  background: #717171;
  color: #fff;
  padding: 2px 10px;
  height: 30px;
}
body > .shuffl-quick-modal .close-modal::before {
  content: 'X';
  font-size: 18px;
  transform: scaleY(0.8);
  display: inline-block;
  opacity: 0.6;
  line-height: 26px;
}
body > .shuffl-quick-modal .close-modal:hover::before {
  opacity: 1;
}
body > .shuffl-quick-modal .close-modal::after {
  content: 'CLOSE';
  font-size: 12px;
  display: inline-block;
  vertical-align: top;
  padding-left: 5px;
}
.shuffl-notice {
  position: fixed;
  right: 32px;
  bottom: 32px;
  background: #fff;
  box-shadow: -1px 1px 7px 0 rgba(123, 123, 123, 0.1);
  padding: 15px 25px;
  border-radius: 2px;
  background: #deffd3;
  color: #32b537;
  z-index: 999999999;
}
/*
 * Shuffl - Begin Block Styles
 */




/*
 * Block - Gallery
 */
.section-gallery {
  margin: 50px 0;
  overflow: visible;
  --slider-height: 700px;
}
.section-gallery .slider-wrap {
  max-height: var(--slider-height);
  margin-bottom: 24px;
}
.section-gallery .slider-wrap img {
  height: var(--slider-height);
  object-fit: cover;
  object-position: center;
}
.section-gallery .slick-arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(-135deg);
  font-size: 0;
  border: none;
  display: block;
  width: 15px;
  height: 15px;
  border: 1px solid #fff;
  background: none;
  border-width: 2px 2px 0 0;
}
.section-gallery .slick-arrow.slick-prev {
  left: -20px;
}
.section-gallery .slick-arrow.slick-next {
  right: -20px;
  transform: translateY(-50%) rotate(45deg);
}
.section-gallery .slider-nav {
  margin: 0 -12px;
}
.section-gallery .slider-nav .slick-slide {
  margin: 0 12px;
  opacity: 0.5;
  transition: opacity 0.5s;
}
.section-gallery .slider-nav .slick-slide.slick-current {
  opacity: 1;
}
.section-gallery .slider-nav img {
  height: 165px;
  object-fit: cover;
  object-position: center;
}
@media (max-width: 500px) {
  .section-gallery .slider-nav {
    display: none;
  }
}
@media (max-width: 1420px) {
  .section-gallery .slider-wrap img {
    height: 60vw;
  }
}




/*
 * Block - Content
 */
.section-content.layout-normal {
  margin: 80px 0;
}
.section-content.layout-normal .wrapper .container {
  position: relative;
  display: flex;
  align-items: center;
}
.section-content.layout-full .wrapper {
  position: relative;
}
.section-content .content-wrapper {
  width: 50%;
  padding: 0 90px;
  box-sizing: border-box;
  position: relative;
  flex: 1;
}
.section-content h4 ~ h2 {
  margin-top: -0.2em;
}
.section-content .shuffl-video, .section-content .shuffl-gallery, .section-content .aligned-image {
  width: 50%;
  object-fit: cover;
  object-position: center;
  position: relative;
}
.section-content .shuffl-gallery img, .section-content .aligned-image {
  height: calc(var(--container-size) / 3);
}
.section-content .shuffl-gallery img {
  object-fit: contain;
  object-position: center;
  margin: 0 auto;
}
.section-content .aligned-image.size-contain {
  object-fit: contain;
}
.section-content .aligned-image.size-auto {
  object-fit: none;
}
@media (min-width: 1421px) {
  .section-content.align-left .content-wrapper {
    padding-left: 0 !important;
  }
  .section-content.align-left.layout-full .content-wrapper {
    padding-left: 0;
  }
  .section-content.align-left .aligned-image {
    object-position: right;
  }
  .section-content.align-right .content-wrapper {
    padding-right: 0 !important;
  }
  .section-content.align-right.layout-normal .wrapper .container {
    flex-direction: row-reverse;
  }
  .section-content.align-right .aligned-image {
    object-position: left;
  }
  .section-content.layout-full .content-wrapper {
    flex: 0;
    padding: 160px 90px;
  }
  .section-content.layout-full.align-right .content-wrapper {
    margin-left: 50%;
    padding-right: 0;
  }
  .section-content.layout-full .aligned-image {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 50%;
  }
  .section-content.layout-full.align-left .aligned-image {
    left: unset;
    right: 0;
  }
}
@media (max-width: 1420px) {
  .section-content .container {
    display: block;
  }
  .section-content .content-wrapper {
    width: 100%;
    padding: 40px 0 0 0;
    margin: 0;
    flex-basis: 100%;
  }
  .section-content.layout-full .content-wrapper {
    padding: 50px 0;
  }
  .section-content .shuffl-video, .section-content .shuffl-gallery, .section-content .aligned-image {
    width: 100%;
    max-height: 80vw;
    flex-basis: 0;
    object-position: left;
  }
  .section-content.align-right.layout-normal .wrapper .container, .section-content.layout-normal .container {
    flex-wrap: wrap;
    flex-direction: column-reverse;
  }
}




/*
 * Block - Info Columns
 */
.section-columns {
  margin: 100px 0;
}
.section-columns .grid {
  display: grid;
  grid-template: auto / repeat(var(--column-count), auto);
  grid-auto-rows: minmax(min-content, max-content);
  grid-gap: 40px;
}
.section-columns .inner-column img {
  width: 100%;
  height: calc(60vw / var(--column-count));
  object-fit: cover;
}
.section-columns .inner-content:last-child {
  margin-bottom: 0;
}
@media (max-width: 800px) {
  .section-columns .grid {
    grid-template: auto / auto;
  }
  .section-columns .inner-column img {
    height: 60vw;
  }
}




/*
 * Block - Banner
 */
.section-banner .wrapper {
  overflow: hidden;
  background-size: cover;
  background-position: center;
  background-color: var(--secondary-color);
  position: relative;
}
.section-banner .wrapper .inner {
  max-width: var(--content-width);
  display: flex;
  flex-wrap: wrap;
  flex: var(--content-width);
  height: min-content;
}
.section-banner .wrapper .inner-content {
  line-height: 1.5;
}
.section-banner .wrapper .inline-image {
  flex: 50%;
}
.section-banner .wrapper .inline-image img {
  width: auto;
  max-height: 480px;
  max-width: calc(var(--container-size) / 2);
}
.section-banner .wrapper[data-layout=left] .inline-image {
  text-align: right;
  padding-left: 40px;
}
@media (max-width: 1420px) {
  .section-banner .wrapper[data-layout=left] .inline-image {
    padding-left: 0;
  }
}
@media (min-width: 1421px) {
  .section-banner .wrapper[data-layout=right] .container {
    flex-direction: row-reverse;
  }
}
.section-banner .wrapper[data-layout=right] .inline-image {
  text-align: left;
  padding-right: 40px;
}
@media (max-width: 1420px) {
  .section-banner .wrapper[data-layout=right] .inline-image {
    padding-right: 0;
  }
}
@media (max-width: 1420px) {
  .section-banner .wrapper .container {
    flex-direction: column-reverse;
  }
  .section-banner .wrapper .inline-image {
    margin-bottom: 30px;
  }
  .section-banner .wrapper .inline-image img {
    max-width: 100%;
  }
  .section-banner .wrapper .inner {
    max-width: unset;
    flex: 100%;
    width: 100%;
  }
}
.section-banner .wrapper[data-layout=center] {
  text-align: center;
}
.section-banner .wrapper[data-layout=center] .inner {
  margin: 0 auto;
  max-width: unset;
  flex: 100%;
}
.section-banner .wrapper[data-layout=center] .inner-content {
  width: 100%;
  flex: 1;
}
.section-banner .container {
  display: flex;
  align-items: center;
  padding: var(--vertical-padding) var(--container-pad);
}
.section-banner h1 {
  flex-basis: 100%;
  margin-bottom: 20px;
}
.section-banner h4 {
  flex-basis: 100%;
}
.section-banner h4 ~ h1 {
  margin-top: -0.2em;
}
.section-banner .scroll-btn {
  position: absolute;
  left: 50%;
  bottom: 0;
  transform: translateX(-50%);
  color: inherit;
  height: calc(var(--arrow-height) + 40px);
  width: var(--arrow-width);
  z-index: 9999;
  text-align: center;
  text-decoration: none;
}
body.shuffl-fullpage .section-banner .wrapper {
  height: 100%;
  display: flex;
  justify-content: center;
  flex-direction: column;
}
body.shuffl-fullpage .section-banner .container {
  flex-grow: 0;
  width: 100%;
}
body.shuffl-fullpage .section-banner .scroll-btn {
  padding-bottom: 50px;
}
.section-banner.show-arrow {
  --arrow-width: 80px;
  --arrow-height: 20px;
  margin-top: calc(var(--arrow-height) * -1);
}
.section-banner.show-arrow .wrapper {
  overflow: hidden;
  clip-path: polygon(0% calc(100% - var(--arrow-height)), 0% 0%, 100% 0%, 100% calc(100% - var(--arrow-height)), calc(50% + (var(--arrow-width) / 2)) calc(100% - var(--arrow-height)), 50% 100%, calc(50% - (var(--arrow-width) / 2)) calc(100% - var(--arrow-height)));
  top: var(--arrow-height);
}
.section-banner.show-arrow .wrapper .container {
  padding-bottom: calc(var(--vertical-padding) + var(--arrow-height));
}
@media (max-width: 1000px) {
  .section-banner .wrapper .inner {
    max-width: unset;
  }
}




/*
 * Footer - Core Footer
 */
footer.shuffl-footer {
    position: relative;
    z-index: 999999;
    padding: 50px 0;
    background: var(--footer-background);
    color: var(--footer-text-color);
}

footer.shuffl-footer a {
    color: var(--footer-text-color);
}

footer .menu ul,
footer ul.menu {
    list-style: none;
    margin: 0;
    padding: 0;
}

footer .menu li {
    display: inline-block;
    padding-left: 15px;
}

footer .footer-grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
    grid-gap: 20px;
    align-items: center;
}

footer .footer-logo > a {
    display: inline-block;
    max-width: var(--footer-logo-size);
}

footer .footer-logo img {
    max-height: 80px;
    width: auto;
}

footer .footer-copy {
    font-size: 0.9em;
}

/* Centered Logo */

footer[data-layout=logo-center] .footer-logo {
    grid-area: 1 / 1 / 2 / 3;
    text-align: center;
}

footer[data-layout=logo-center] .footer-menu li:first-child {
    padding-left: 0;
}

footer[data-layout=logo-center] .footer-copy {
    text-align: right;
}

/* Left Aligned Logo */

footer[data-layout=logo-left] .footer-menu {
    text-align: right;
}

footer[data-layout=logo-left] .footer-copy {
    text-align: right;
    grid-area: 2 / 1 / 3 / 3;
}

/* Mobile */

@media(max-width: 800px) {
    footer .footer-grid {
        grid-template: auto / auto;
        text-align: left;
    }

    footer[data-layout=logo-center] .footer-logo,
    footer[data-layout=logo-left] .footer-copy {
        grid-area: unset;
        text-align: left;
    }

    footer[data-layout=logo-left] .footer-menu {
        text-align: left;
    }

    footer .menu li {
        display: block;
        padding: 10px 0;
    }


    footer[data-layout=logo-center] .footer-copy,
    footer .footer-menu {
        text-align: left;
    }
}




/*
 * Header - Core Header
 */
.shuffl-header {
  z-index: 99999999;
  padding: var(--vertical-padding) 0;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  background: var(--primary-color);
  color: var(--primary-text-color);
  font-weight: var(--text-weight);
  transition: top 0.5s;
  /* Desktop */
  /* Mobile */
}
.shuffl-header .header-logo {
  max-width: var(--header-logo-width);
  height: 100%;
}
.shuffl-header .header-logo a {
  display: block;
  line-height: 1;
  height: 100%;
}
.shuffl-header .header-logo img {
  max-height: 60px;
  width: auto;
  height: 100%;
}
.shuffl-header a {
  color: var(--primary-text-color);
}
.shuffl-header a:hover {
  color: var(--link-hover-color);
}
.shuffl-header ul {
  list-style: none;
  padding: 0;
}
.shuffl-header.is-solid {
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.1);
}
.shuffl-header .header-grid {
  display: grid;
  grid-template: auto / 50fr 50fr;
  grid-gap: 20px;
  align-items: center;
}
.shuffl-header .menu {
  display: block;
  list-style: none;
  position: relative;
  margin: 0;
}
.shuffl-header .menu a {
  transition: color 0.5s;
  font-size: 1em;
  display: block;
}
.shuffl-header[data-layout=logo-center] .header-grid {
  grid-template: auto / 38fr 24fr 38fr;
}
.shuffl-header[data-layout=logo-center] .header-logo {
  text-align: center;
}
@media (min-width: 1501px) {
  .shuffl-header .header-menu {
    text-align: right;
  }
  .shuffl-header .header-menu .menu li {
    display: inline-block;
    padding: 0 20px;
    position: relative;
  }
  .shuffl-header .header-menu .menu li:last-child {
    padding-right: 0;
  }
  .shuffl-header .header-left .menu li:first-child {
    padding-left: 0;
  }
  .shuffl-header .menu .sub-menu {
    position: absolute;
    left: 0;
    top: 100%;
    min-width: 200px;
    padding-top: 20px;
    text-align: left;
    background: var(--primary-color);
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s, visibility 0s 0.5s;
  }
  .shuffl-header .menu li:hover .sub-menu {
    pointer-events: all;
    opacity: 1;
    visibility: visible;
    transition: opacity 0.5s;
  }
  .shuffl-header .menu .sub-menu li {
    padding: 0;
    display: block;
    transition: background-color 0.5s;
  }
  .shuffl-header .menu .sub-menu a {
    line-height: 1;
    padding: 20px 30px;
  }
  .shuffl-header .header-menu-btn {
    display: none;
  }
  .shuffl-header .menu li.menu-item-has-children > a::after {
    content: '▼';
    font-size: 0.6em;
    padding-left: 10px;
    vertical-align: middle;
    display: inline-block;
    transition: transform 0.5s;
  }
  .shuffl-header .menu li.menu-item-has-children:hover > a::after {
    transform: scaleY(-1);
    margin-top: -0.6em;
  }
}
@media (max-width: 1500px) {
  .shuffl-header .menu a {
    line-height: 1;
    font-size: 1.5em;
    padding: 20px var(--container-pad);
    transition: color 0.5s, background-color 0.5s;
  }
  .shuffl-header .header-menu {
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
    transition: opacity 0.5s, visibility 0s 0.5s;
    background: #fff;
    position: fixed;
    left: 0;
    top: var(--header-height);
    right: 0;
    height: calc(100vh - var(--header-height));
  }
  .shuffl-header .header-menu-btn {
    text-align: right;
  }
  .shuffl-header .mobile-menu-btn {
    width: 28px;
    height: 28px;
    display: inline-block;
    overflow: hidden;
    text-decoration: none;
  }
  .shuffl-header .mobile-menu-btn > div {
    display: block;
    margin: 3px 0;
    height: 22px;
    width: 28px;
    border: 2px solid var(--primary-text-color);
    border-width: 2px 0;
    position: relative;
    transition: height 0.5s, border-width 0.1s, transform 0.5s, margin-top 0.5s;
  }
  .shuffl-header .mobile-menu-btn > div::before {
    content: '';
    display: block;
    position: absolute;
    height: 2px;
    width: 100%;
    left: 0;
    top: 50%;
    background: var(--primary-text-color);
    margin-top: -1px;
    transition: all 0.5s;
  }
  .shuffl-header .menu .sub-menu > li > a {
    padding-left: 40px;
  }
  .shuffl-header .menu li > a:hover {
    background: var(--primary-color);
    color: var(--primary-text-color);
  }
}
body.resizing header .header-menu {
  transition: none;
}
/* Mobile */
@media (max-width: 1500px) {
  body.mobile-menu {
    overflow: hidden;
  }
  body.mobile-menu header#shuffl-header .mobile-menu-btn > div {
    height: 2px;
    border-width: 1px 0;
    transform: rotate(45deg);
    margin-top: 13px;
  }
  body.mobile-menu header#shuffl-header .mobile-menu-btn > div::before {
    transform: rotate(-90deg);
  }
  body.mobile-menu header#shuffl-header .header-menu {
    opacity: 1;
    pointer-events: all;
    visibility: visible;
    transition: opacity 0.5s;
  }
}